Skip to main content

Retry a failed backfill

POST 

/pipelines/:pipeline_id/search-indexers/:indexer_id/retry

Restarts the backfill of a failed search index from the first fragment, after the cause of the failure is fixed, such as an embedding model that could not be reached. The index becomes building, and message is cleared. The request has no body.

Permissions. Read and write on the pipeline.

Failed index describes the procedure.

Request​

Responses​

The backfill restarted. The body is the index, with status set to building.